GLOBAL.STRINGS.NAMES.KATANASWORD = "Katana"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.KATANASWORD = "Ancient weapons, sharp and deadly."

PrefabFiles = {
	"sam",
        "katanasword",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/sam.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/sam.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/sam.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/sam.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/sam_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/sam_silho.xml" ),

    Asset( "IMAGE", "bigportraits/sam.tex" ),
    Asset( "ATLAS", "bigportraits/sam.xml" ),

    Asset("IMAGE", "images/sam.tex"),
    Asset("ATLAS", "images/sam.xml"),
}

AddMinimapAtlas("images/sam.xml")

-- strings! Any "SAM" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.sam = "Jack"
GLOBAL.STRINGS.CHARACTER_NAMES.sam = "sam"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.sam = "* Armed with an indestructible weapon - Katana.\n* Not afraid of anything, at least thinks so."
GLOBAL.STRINGS.CHARACTER_QUOTES.sam = "\"My way - the way of the sword.\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
--GLOBAL.STRINGS.CHARACTERS.SAM = {}
--GLOBAL.STRINGS.CHARACTERS.SAM.DESCRIBE = {}
--GLOBAL.STRINGS.CHARACTERS.SAM.DESCRIBE.EVERGREEN = "In my country, trees are more beautiful."
local require = GLOBAL.require
GLOBAL.STRINGS.CHARACTERS.SAM = require "speech_sam"

-- Let the game know sam is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "sam")


AddModCharacter("sam")

